package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.HiddenDangerTrackDo;
import com.rongwe.scentity.vo.HiddenDangerTrackVo;
import com.rongwei.rwcommon.base.QueryPar;
import com.rongwei.rwcommon.base.R;

import java.util.List;
import java.util.Map;


/**
 * 隐患跟踪表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-08-04 18:39:10
 */
public interface HiddenDangerTrackService extends IService<HiddenDangerTrackDo> {

    void limitedRectificationWarn();

    IPage<HiddenDangerTrackVo> checkTaskList(QueryPar<Map<String, Object>> queryMap);

    void sendMailAfterClose(Map<String, Object> dataMap);

    List<Map<String, Object>> getAllDeptZGSPA();

    Map<String, Object> getTrackUserRoles(List<String> ids);

    R sendMailTostalker(Map<String, Object> dataMap);

}

